networkmanagement unable to configure NM connection for TTLS/EAP-GTC & MD5 authentication

Bug #1085442 reported by Scott Kitterman on 2012-12-01
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
KDE Network
Fix Released
Medium
networkmanagement (Ubuntu)
High
Scott Kitterman
Precise
High
Scott Kitterman
Quantal
High
Scott Kitterman
Raring
High
Scott Kitterman

Bug Description

Network Manager via wpa_supplicant has support for TTLS/EAP-GTC & MD5 authentification. But KDE4 GUI dialog for wifi connection not. There is only PAP, CHAP and MSCHAP(v2). So with KDE4 plasma widget is not possible to connect to WiFI WPA2 Enterprise TTLS/EAP-GTC network. Reproducible: Always Steps to Reproduce: 1. Try to connect to WPA2 Enterprise TTLS/EAP-GTC network via KDE4 GUI Actual Results: Not possible, in menubox for TTLS/EAP is missing GTC and MD5 auth Expected Results: Option in configuration and connection

[Impact]

 * With networkmanagement is not possible to connect to WiFI WPA2 Enterprise TTLS/EAP-GTC network.

 * Impacts users' ability to connect to networks and gain internet access.

[Test Case]

 * If available, try to connect to WPA2 Enterprise TTLS/EAP-GTC network via networkmanagement (this can actually be verified with and WPA2 connection since we are fixing the U/I and not the underlying Network-Manager ability to connect to TTLS/EAP-GTC conntections).

 * Notice that in the menubox for TTLS/EAP, GTC and MD5 auth options are missing

 * Install the updated packages

 * Repeat and note that the options are now present

 * Attempt to make a connection and see that Network-Manager tries to connect. If on a TTLS/EAP-GTC network, the connection should succeed.

[Regression Potential]

 * Regression potential is nil. It's a backport of the 6 line upstream fix for the issue and is just adding additional U/I options. There's no impact to internal processing.

[Other Info]

Network Manager via wpa_supplicant has support for TTLS/EAP-GTC & MD5 authentification. But KDE4 GUI dialog for wifi connection not. There is only PAP, CHAP and MSCHAP(v2). So with KDE4 plasma widget is not possible to connect to WiFI WPA2 Enterprise TTLS/EAP-GTC network.

Reproducible: Always

Steps to Reproduce:
1. Try to connect to WPA2 Enterprise TTLS/EAP-GTC network via KDE4 GUI
Actual Results:
Not possible, in menubox for TTLS/EAP is missing GTC and MD5 auth

Expected Results:
Option in configuration and connection

Created attachment 75566
patch

This patch adding missing GTC & MD5 auth option in TTLS dialog.

Changed in networkmanagement (Ubuntu Raring):
importance: Undecided → High
assignee: nobody → Scott Kitterman (kitterman)
milestone: none → ubuntu-13.04-alpha-1
status: New → In Progress
Changed in networkmanagement (Ubuntu Quantal):
status: New → In Progress
importance: Undecided → Medium
importance: Medium → High
assignee: nobody → Scott Kitterman (kitterman)
milestone: none → quantal-updates
Changed in networkmanagement (Ubuntu Precise):
milestone: none → ubuntu-12.04.2
assignee: nobody → Scott Kitterman (kitterman)
importance: Undecided → High
status: New → In Progress
Changed in kdenetwork:
importance: Unknown → Medium
status: Unknown → Fix Released
Scott Kitterman (kitterman) wrote :

Backported upstream commit that fixed this and uploaded for raring/quantal/precise. Updates for quantal/precise will be available for testing after review by the stable release updates team.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networkmanagement - 0.9.0.5-0ubuntu2

---------------
networkmanagement (0.9.0.5-0ubuntu2) raring; urgency=low

  * Add debian/patches/add_gtc_md5.diff to fix inability to configure WPA2
    connections for TTLS/EAP-GTC networks (LP: #1085442)
 -- Scott Kitterman <email address hidden> Sat, 01 Dec 2012 12:09:46 -0500

Changed in networkmanagement (Ubuntu Raring):
status: In Progress → Fix Released

Hello Scott, or anyone else affected,

Accepted networkmanagement into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/networkmanagement/0.9.0.5-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in networkmanagement (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in networkmanagement (Ubuntu Precise):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Scott, or anyone else affected,

Accepted networkmanagement into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/networkmanagement/0.9.0.1-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Scott Kitterman (kitterman) wrote :

I don't see a difference with the new package installed. Could someone else please try it?

Pali (pali) wrote :

I tried it and working. Open systemsettings --> network --> wireless --> add wireless --> security and choose: wpa2 enterprise + ttls. Then you can choose pap, mschap, mschapv2, chap, md5, gtc. Above patch added md5 & gtc options. It is needed for some wpa2 eap networks with ttls+gtc authentification.

Pali (pali) wrote :

I tested it on quantal.

tags: added: verification-done-quantal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networkmanagement - 0.9.0.5-0ubuntu1.1

---------------
networkmanagement (0.9.0.5-0ubuntu1.1) quantal-proposed; urgency=low

  * Add debian/patches/add_gtc_md5.diff to fix inability to configure WPA2
    connections for TTLS/EAP-GTC networks (LP: #1085442)
 -- Scott Kitterman <email address hidden> Sat, 01 Dec 2012 12:09:46 -0500

Changed in networkmanagement (Ubuntu Quantal):
status: Fix Committed → Fix Released
Scott Kitterman (kitterman) wrote :

OK. Thanks. Can you test precise too?

Pali (pali) wrote :

I do not have notebook with precise yet.

tags: removed: verification-done-quantal
Colin Watson (cjwatson) on 2013-02-13
Changed in networkmanagement (Ubuntu Precise):
milestone: ubuntu-12.04.2 → ubuntu-12.04.3
Pali (pali) wrote :

Now I tested updated plasma-widget-networkmanagement package (version 0.9.0.1-0ubuntu2.1) from precise-proposed/main and it working on ubuntu precise. TTLS/EAP-GTC authentification working.

Pali (pali) wrote :

@Scott Kitterman: what other test are needed?

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networkmanagement - 0.9.0.1-0ubuntu2.1

---------------
networkmanagement (0.9.0.1-0ubuntu2.1) precise-proposed; urgency=low

  * Add debian/patches/add_gtc_md5.diff to fix inability to configure WPA2
    connections for TTLS/EAP-GTC networks (LP: #1085442)
 -- Scott Kitterman <email address hidden> Sat, 01 Dec 2012 12:43:50 -0500

Changed in networkmanagement (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.